@import url('https://fonts.googleapis.com/css2?family=Oswald:wght@200..700&display=swap');

@import url('https://fonts.googleapis.com/css2?family=Titillium+Web:ital,wght@0,200;0,300;0,400;0,600;0,700;0,900;1,200;1,300;1,400;1,600;1,700&display=swap');

@import url('https://fonts.googleapis.com/css2?family=Vidaloka&display=swap');


* {
    text-decoration: none;
    border: none;
}

body {
    margin: 0;
    padding: 0;
    width: 100%;

    box-sizing: border-box;
    overflow-x: hidden;
    /* font-family: "Oswald", sans-serif; */
    font-family: "Oswald", sans-serif;
    font-weight: 700;    
    /* letter-spacing: 1px; */
}
    
:root {
    --primary-color: #0761f2;
    --primary2-color: #1b465f;
    --bg-color: #08d84d;
    --second-bg-color: #beb2b2;
    --first-text-color: #fff;
    --second-text-color: #eae9f1;
    --third-text-color: #bebcbc;
    --fourth-text-color: #f7d1d1ca;
    --main-color: #1b465f;
    --nav-color: #0f5dd3;
    --nav2-color:#171175;
    --btn-color: #17301d;
    --btn2-color: #020274;
    --btn3-color: #e21818;
    --shadow: 1px 1px 1px #000;
    --box-shadow2: rgb(0 0 2 / 35%) 0px 20px 30px -10px;
}


p {
    color: #2c2c2c;
    font-weight: 500;
}

.pad-5 {
    padding: 0 5%;
}


 /* ========================= */
        /* MAIN NAV */
        /* ========================= */

        .main-nav {
            width: 100%;
            background: #f8f8fc;
            z-index: 99;
        }


        .main-nav-container {
            display: flex;
            justify-content: space-between;
            align-items: center;
            width: 80%;
            min-height: 90px;
            margin: 0 auto;
        }

        .fixy {
            position: fixed;
            top: 0;
            border-bottom: 5px solid var(--main-color);
            background: #f8f8fc;
            transition: 1s;
        }

        /* ========================= */
        /* LOGO */
        /* ========================= */

        .logo img {
            width: 150px;
            transition: 0.3s ease;
        }


        .logo:hover img {
            transform: scale(1.1);
        }


        /* ========================= */
        /* NAVIGATION */
        /* ========================= */

        nav {
            display: flex;
            align-items: center;
            height: 70px;
        }


        .navbar {
            display: flex;
            align-items: center;
            justify-content: center;

            height: 100%;
            position: relative;

            border-radius: 10px;
        }


        .navbar a {
            position: relative;
            z-index: 2;

            height: 100%;

            display: flex;
            align-items: center;
            justify-content: center;

            padding: 0 23px;

            font-size: 19px;
            color: var(--nav-color);

            transition: color 0.3s ease;

            white-space: nowrap;
        }


        /* Text becomes white */

        .navbar a.active,
        .navbar a.hovered {
            color: #b0b5b1;
        }


        /* ========================= */
        /* NAVIGATION INDICATOR */
        /* ========================= */

        .nav-indicator {
            position: absolute;

            top: 0;
            left: 0;

            height: 100%;

            width: 0;

            background: var(--primary2-color);

            border-radius: 10px;

            z-index: 1;

            pointer-events: none;
        }


        /* ========================= */
        /* HAMBURGER */
        /* ========================= */

        .open-menu {
            display: none;
        }


        .open-menu i {
            font-size: 30px;
            cursor: pointer;
        }


        /* ========================= */
        /* MOBILE VIEW */
        /* ========================= */

        @media (max-width: 1203px) {

            .open-menu {
                display: block;
                z-index: 1001;
            }


            .navbar {
                position: fixed;

                top: 0;
                right: -100%;

                width: 260px;
                height: 100vh;

                background: #fff;

                flex-direction: column;

                align-items: flex-start;
                justify-content: flex-start;

                padding-top: 80px;

                transition: right 0.4s ease;

                z-index: 1000;

                border-radius: 0;
            }


            .navbar.menu-open {
                right: 0;
            }


            .navbar a {
                width: 100%;
                height: 60px;

                justify-content: flex-start;

                padding-left: 30px;

                color: var(--nav-color);

                border-bottom: 1px solid var(--main-color);
                border-left: 1px solid var(--main-color);
            }


            .navbar a.active {
                background: var(--primary2-color);
                color: #fff;
            }


            .navbar a.hovered {
                color: var(--nav-color);
            }


            /* Hide animated indicator on mobile */

            .nav-indicator {
                display: none;
            }

        }




.btn {
    background: var(--primary2-color);
    border-radius: 5px;
    padding: 7px 10px;
    font-size: 15px;
    font-weight: 600;
    color: var(--nav-color);
    transition: .5s ease;
    cursor: pointer;
}

.btn:hover {
    background-color: var(--nav-color);
    color: var(--first-text-color);
    transform: scale(1.1);
}


/* header image  */

.header-image {
    background-image:linear-gradient(rgba(0,0,0,0.6), rgba(0,0,0,0.6)), url(../images/gallery-1675672368.jpg);
    width: 100%;
    height: 70vh;
    background-position: center;
    background-size: cover;
    display: flex;
    justify-content: center;
    align-items: center;
}

.header-image h1 {
    font-size: 2rem;
    color: var(--second-text-color);
    font-family: "Vidaloka", serif;
    font-weight: 900;
}


/* our mission and vission section starts */

.vision-mission {
    padding: 70px 0;
}

.address h2,
.mission h2,
.vision h2,
.value h2 {
    font-family: "Vidaloka", serif;
    font-weight: 900;
    color: var(--nav-color);
}

.vision-mission-wrapper {
    display: flex;
    justify-content: center;
    align-items: flex-start;
    gap: 80px;
    text-align: justify;
    width: 85%;
    margin: 0 auto;
    padding: 70px 50px;
}

.vision-mission-content {
    width: 60%;
}

.vision-mission-content .address h2{
    margin-top: 0;
}

.vision-width {
    width: 40%;
    margin-top: 40px;
    display: flex;
    flex-direction: column;
    gap: 146px;
}

.vision-img {
    width: 500px;
    height: 300px;
    object-fit: cover;
    border-radius: 0 40px;
}

.vision-img img {
    width: 100%;
    height: 100%;
    border-radius: 0 40px;
    box-shadow: 0 0 10px var(--nav-color);
}

.vision ul li {
    color: #2c2c2c;
    font-weight: 500;
}

.curriculum {
    text-align: justify;
    width: 80%;
    margin: 0 auto;
    padding: 70px 50px;
}

@media (max-width: 959px) {
    .vision-mission-wrapper {
        padding: 70px 30px;
        gap: 40px;
    }
    .vision-mission-content {
        width: 70%;
    }
    .vision-width {
        width: 25%;
    }
    .vision-img {
        width: 350px;
        height: 200px;
    }
}

@media (max-width: 700px) {
    .vision-mission-wrapper {
        flex-direction: column;
        align-items: center;
        padding: 30px 20px;
    }
    .vision-mission-content {
        width: 95%;
    }
    .vision-img img:nth-child(1),
    .vision-img img:nth-child(2),
    .vision-img img:nth-child(3),
    .vision-img img:nth-child(4) {
        display: none;
    }
    .vision-img {
        width: 90%;
        height: auto;
    }
}

/* @media (max-width: 500px) {
    .main-nav-container .logo img {
        width: 13em;
    }
} */


/* Academics section */

.academic-section {
    padding: 70px 50px;
}

.overview h1 {
    text-align: center;
}

.overview-container {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 20px;
    width: 90%;
    margin: 0 auto;
}

.departments,
.second-departments {
    display:grid;
    grid-template-columns: repeat(auto-fit, minmax(340px, 1fr));
    gap: 40px;
    margin: 100px 0;
}

.primary-department img,
.nursery-department img,
.creche-department img{
    max-width: 35em;
}

.academic-section hr {
    width: 100%;
    height: 5px;
    background-color: red;
}


@media (max-width: 1233px) {
    .primary-department img,
    .nursery-department img,
    .creche-department img{
        max-width: 25em;
    }
}

@media (max-width: 926px) {
    .overview-container,
    .departments,
    .second-departments{
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: column;
    }
    .overview-container h2,
    .departments h2,
    .second-departments h2{
        text-align: center;
    }

    .primary-department-img-wrapper,
    .nursery-department-img-wrapper,
    .creche-department-img-wrapper{
        text-align: center;
    }
}

@media (max-width: 438px) {
    .overview-logo img,
    .primary-department img,
    .nursery-department img,
    .creche-department img{
        max-width: 15em;
    }

}








/* line section */
.line-section {
    background: linear-gradient(#0000009d, #000000a4), url(../images/1.png);
    background-position: center;
    background-size: cover;
    height: 16em;
    width: 96%;
    border-radius: 0 3rem;
    margin: 0 auto;
}

.line-wrapper {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 70%;
    margin: 0 auto;
}

.line-content h1 {
    color: #fff;
    font-size: 3em;
}

.line-content h2 {
    color: var(--btn3-color);
}

.line-wrapper a{
    color: #fff;
    padding: 20px 15px ;
}


@media (max-width: 996px) {
    .line-wrapper {
        display: block;
    }
    .line-content h1 {
        font-size: 2.5em;
    }
    .line-content h2{
        margin-bottom: 30px ;
        font-size: 19px;
    }
}
@media (max-width: 628px) {
    .line-content h1 {
        font-size: 2em;
    }
    .line-content h2{
        font-size: 15px;
    }
    .line-wrapper a{
        padding: 10px 10px ;
    }
}


@media (max-width: 488px) {
    .line-section {
        height: 20em;
    }
}












/* image gallery section */


.image-gallery {
    padding: 50px 5%;
}

.image-gallery h1 {
    text-align: center;
    font-size: 37px;
    color: var(--main-color);
    margin: 0 0 50px 0;
    font-family: "Vidaloka", serif;
    font-weight: 900;
}

/* GRID LAYOUT */
.gallery-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    gap: 20px;
}

/* Images */
.gallery-grid img {
    width: 100%;
    height: 250px;
    object-fit: cover;
    border-radius: 10px;
    cursor: pointer;
    transition: transform 0.4s ease, box-shadow 0.4s ease;
}

.gallery-grid img:hover {
    transform: scale(1.05);
    box-shadow: 0 10px 25px rgba(0,0,0,0.2);
}



/* LIGHTBOX */
.lightbox {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    background: rgba(0,0,0,0.85);
    display: none;
    justify-content: center;
    align-items: center;
    z-index: 999;
}

.lightbox.active {
    display: flex;
}

.lightbox-img {
    max-width: 90%;
    max-height: 80vh;
    border-radius: 10px;
}

.close-btn {
    position: absolute;
    top: 30px;
    right: 40px;
    font-size: 40px;
    color: white;
    cursor: pointer;
}












/* Contact */

.contact {
    margin: 100px 0;
}

.section-title {
    text-align: center;
    margin-bottom:40px;
    color: var(--main-color);
}

.section-title h3{
    color: var(--primary2-color);
    margin: 0;
}

.section-title h4{
    color: var(--btn-color);
    margin: 0;
}

.contact-info-wrapper {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    width: 70%;
    margin: 0 auto;
    margin-bottom: 60px;
}

.contact-info-item1 {
    text-align: center;
}

.contact-info-item1 i {
    font-size: 25px;
    color: var(--primary2-color) !important;
}

.contact-info-item1 p {
    color: #2e2d2d;
    font-weight: 400;
    margin: 0;
}

.second-section-title {
    text-align: center;
    margin: 60px 0 40px 0;
    color: var(--main-color);
}

.second-section-title h3 {
    color: var(--primary2-color);
}

.second-section-title h4 {
    color: var(--btn-color);
}

.contact-form {
    width: 70%;
    margin: 0 auto;
}

.contact-form input[type=text], 
.contact-form input[type=email],
.contact-form .form-group textarea {
    padding-left: 20px; 
    color: #fff;
}
  
.contact-form-group {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 40px;
}

.contact-form-group .form-group {
    width: 100%;
}

.contact-form input::placeholder, 
.contact-form textarea::placeholder {
    color: #fff;
}

.contact-form input,
.contact-form textarea {
    width: 100%;
    border-radius: 25px;
    padding: 18px 0;
    background: var(--third-text-color); 
    border: 1px solid ;
    margin: 10px 0;
}

.contact-form input:focus,
.contact-form textarea:focus {
    border: 3px solid var(--main-color);
    outline: none;
}

.contact-form textarea {
    height: 70px;
    resize: none;
}

.form-btn {
    text-align: right;
}
.form-btn .btn {
    color: #fff;
    padding: 15px;
    border-radius: 25px;
}


/* footer section */

.footer {
    background-color: var(--primary2-color);
    border-top: 1px solid #414040;
    padding-bottom: 40px;
}

.footer-content {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    gap: 90px;
    color: #fff;
}

.footer-more-info h2,
.footer-about-us-links h2,
.footer-contact h2{
    font-weight: 900;
}

.footer-more-info {
    line-height: 30px;
    display: flex;
    justify-content: flex-start;
    align-items: flex-start;
    flex-direction: column;
}

.footer-more-info h2 {
    font-weight: 900;
}

.footer-more-info img{
    width: 203px;
    background-color: #fff;
    border-radius: 4px;
}

.footer-about-us-links {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.footer-about-us-links a{
    color: #929c92;
}

.footer-about-us-links a:hover{
    color: #eff5ef;
}

.contact-info {
    margin-bottom: 15px;
}

.contact-info i {
    color: var(--nav-color);
}

.footer-content span {
    font-size: 13px;
    color: var(--third-text-color);
}

.footer-content span:hover {
    color: var(--first-text-color);
    cursor: pointer;
}

.footer-text p {
    font-size: 13px;
    color: var(--second-text-color);
}


.second-footer {
    padding: 15px;
    background: #112c3b;
    text-align: center;
    border-top: 1px solid #fff;
}







/* WHATSAPP */
.whatsapp-btn {
    position: fixed;
    bottom: 25px;
    right: 25px;
    background: linear-gradient(135deg, #0c8f3f, #0c5c2e);
    width: 55px;
    height: 55px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    color: white;
    font-size: 24px;
    box-shadow: 0 10px 25px rgba(0,0,0,0.2);
}








/* media query */
@media (max-width: 1203px) {
    .about-wrapper {
        width: 90%;
    }
}



@media (max-width: 1045px) {
    .footer-about-us {
        width: 80%;
    }
}

@media (max-width: 958px) {
    .contact-form-group {
        flex-wrap: wrap;
        gap: 0;
    }
}  
@media (max-width: 849px) {
    .founders-note {
        flex-direction: column;
        align-items: center;
        width: 95%;
    }
    .contact-info-wrapper {
        justify-content: center;
        gap: 40px;
    }
    .contact {
        margin: 50px 0;
    }
}

@media (max-width: 708px) {
    .image-gallery-container {
        grid-template-columns: 1fr;
    }
    
    .image-gallery-container .tall {
        grid-row: span 1;
    }
    .image-gallery-container .wide {
        grid-column: span 1;
    }
    .image-gallery-container .big {
        grid-column: span 1;
        grid-row: span 1;
    }
}

@media (max-width: 588px) {
    
    .form-group-admin {
        width: 100%;
    }
    
    .inline-part {
        flex-direction: column;
    }
}  
@media (max-width: 513px) {
    .line-section::before {
        left: 100px;
    }

    .line-section::after {
        right: 100px;
    } 
    .contact {
        margin: 30px 0;
    }
}  
